%define	ver	0.5.3
%define rel	1mdk

%define req_libgcrypt_version 1.1.12

%define major	8
%define libname %mklibname %{name}

Summary:	Open Crypto Development Kit
Name:		opencdk
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		System/Libraries
URL:		http://www.gnutls.org/
Source:		ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/opencdk/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	zlib-devel
BuildRequires:	libgcrypt-devel >= %{req_libgcrypt_version}

%description
%{name} library provides basic parts of the OpenPGP message format.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.


%package	-n %{libname}%{major}
Summary:	Open Crypto Development Kit
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
%{name} library provides basic parts of the OpenPGP message format.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.


%package	-n %{libname}%{major}-devel
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}%{major} = %{version}-%{release}
Requires:	libgcrypt-devel >= %{req_libgcrypt_version}

%description	-n %{libname}%{major}-devel
%{name} library provides basic parts of the OpenPGP message format.

You will need to install this package if you want to develop or 
compile any applications/libraries that use %{name}.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
#libtool --finish  %{buildroot}/usr/lib

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}%{major}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/DETAILS doc/opencdk-api.html
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.3-1mdk
- new release

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.5.1-1mdk
- First Mandrake package
